Debian Bug report logs - #623970
ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: intrigeri+debian@boum.org

Date: Sun, 24 Apr 2011 21:27:13 UTC

Owned by: Fabrizio Regalli <fabreg@fabreg.it>

Severity: wishlist

Fixed in version cookie-monster/1.0.5-1

Done: Fabrizio Regalli <fabreg@fabreg.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Sun, 24 Apr 2011 21:27:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri+debian@boum.org:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 24 Apr 2011 21:27:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri+debian@boum.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: pkg-mozilla-maintainers@lists.alioth.debian.org
Subject: RFP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Sun, 24 Apr 2011 23:24:38 +0200
Package: wnpp
Severity: wishlist

* Package name    : xul-ext-cookie-monster
  Version         : 1.0.5
  Upstream Author : s1tony
* URL or Web page : https://addons.mozilla.org/en-US/firefox/addon/cookie-monster/
* License         : Mozilla Public License, version 1.1
  Description     : Iceweasel/Firefox extension

The Cookie Monster extension for Iceweasel/Firefox brings a powerful
control over the way cookies are set or not.
.
It makes it very easy to manage cookies in a whitelist-based way.
.
Cookie Monster features fine-grained temporary or permanent domain,
website and/or subdomains whitelisting in the same way the NoScript
extension does for scripts. For added ease of use, its user interface
is similar to the NoScript extension's one.


To the best of my knowledge, no extension currently in Debian allows
users to deal with cookies this way. Cookie Monster is to cookies what
NoScript is to JavaScript. Among the various vaguely similar
extensions I have reviewed and/or tested, only CS Lite is on par with
Cookie Monster feature-wise... but has not been maintained for a
while, and lacks the UI similarity with NoScript offered by Cookie
Monster.

I've justed tested Cookie Monster 1.0.5 using both Squeeze's Iceweasel
and Mike Hommey's backports of Iceweasel 4. Works fine in both
environments.

Bye,
-- 
  intrigeri <intrigeri@boum.org>




Changed Bug title to 'ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension' from 'RFP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension' Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Thu, 28 Apr 2011 19:51:05 GMT) Full text and rfc822 format available.

Owner recorded as Fabrizio Regalli <fabreg@fabreg.it>. Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Thu, 28 Apr 2011 19:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Thu, 28 Apr 2011 20:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Apr 2011 20:06:03 GMT) Full text and rfc822 format available.

Message #14 received at 623970@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: 623970@bugs.debian.org
Subject: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Thu, 28 Apr 2011 21:53:54 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'll do my best for packaging this software.

Cheers,
Fabrizio.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 27 May 2011 10:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 27 May 2011 10:21:22 GMT) Full text and rfc822 format available.

Message #19 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 27 May 2011 12:19:43 +0200
Hi Fabrizio,

Fabrizio Regalli wrote (28 Apr 2011 19:53:54 GMT) :
> I'll do my best for packaging this software.

Any progress on this?

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | If you must label the absolute, use it's proper name: Temporary.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Wed, 27 Jul 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Wed, 27 Jul 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #24 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Wed, 27 Jul 2011 17:50:47 +0200
intrigeri wrote (27 May 2011 10:19:43 GMT) :
> Hi Fabrizio,

> Fabrizio Regalli wrote (28 Apr 2011 19:53:54 GMT) :
>> I'll do my best for packaging this software.

> Any progress on this?

Ping?

For what it's worth, the last Cookie Monster version works well with
current iceweasel 5.x from Debian unstable.

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | We're dreaming of something else.
  | Something more clandestine, something happier.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Wed, 27 Jul 2011 17:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 17:30:09 GMT) Full text and rfc822 format available.

Message #29 received at 623970@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: intrigeri <intrigeri@boum.org>, 623970@bugs.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Wed, 27 Jul 2011 19:22:06 +0200
[Message part 1 (text/plain, inline)]
Il giorno mer, 27/07/2011 alle 17.50 +0200, intrigeri ha scritto:
> intrigeri wrote (27 May 2011 10:19:43 GMT) :
> > Hi Fabrizio,
> 
> > Fabrizio Regalli wrote (28 Apr 2011 19:53:54 GMT) :
> >> I'll do my best for packaging this software.
> 
> > Any progress on this?
> 
> Ping?

Pong :)
Sorry for answering just now.

http://anonscm.debian.org/gitweb/?p=pkg-mozext/cookie-monster.git


The package is already done but I can't upload myself (I'm not a DM)
You need to wait review and upload from one DD.

Cheers,
Fabrizio.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Wed, 27 Jul 2011 21:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Wed, 27 Jul 2011 21:54:07 GMT) Full text and rfc822 format available.

Message #34 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Wed, 27 Jul 2011 23:49:21 +0200
Hi,

Fabrizio Regalli wrote (27 Jul 2011 17:22:06 GMT) :
> http://anonscm.debian.org/gitweb/?p=pkg-mozext/cookie-monster.git

> The package is already done

Glad to read this.

> but I can't upload myself (I'm not a DM)

In that case, I think this part of debian/control should be fixed:

  Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
  Uploaders: Fabrizio Regalli <fabreg@fabreg.it>

> You need to wait review and upload from one DD.

Have you already asked/found a DD to do so?

Other remarks:

  - Where can I find the .orig tarball needed by 3.0 (quilt) format?
    Maybe you want to consider using pristine-tar or similar.

  - I think the package long description should contain the word
    "cookie". Also, the wording seems weird to me, and looks like a
    copy'n'paste error (redundancy and seemingly incomplete sentence). 

  - I'm no expert at DEP-5, but it seems to me it would be slightly
    better to factorize licenses notices as standalone License: blocks
    at the end of the file in a case like yours, i.e. when several
    File:  blocks reference the same licenses. I may be wrong, though.

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | If you must label the absolute, use it's proper name: Temporary.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Thu, 08 Sep 2011 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Thu, 08 Sep 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 01:36:55 +0200
Ping?

Cheers,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | We're dreaming of something else.
  | Something more clandestine, something happier.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 09 Sep 2011 08:15:03 GMT) Full text and rfc822 format available.

Message #44 received at 623970@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: intrigeri <intrigeri@boum.org>
Cc: 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 10:12:35 +0200
[Message part 1 (text/plain, inline)]
Hi,

as I said in my previous e-mail, the package still waiting for DD
review.
I added to the list the pkg-mozext group address.
If I don't remember bad, in the meantime you become a DM: in this case I
think you can review and eventually upload the package from yourself.

Cheers,
Fabrizio.

On Fri, 2011-09-09 at 01:36 +0200, intrigeri wrote:
> Ping?
> 
> Cheers,
> --
>   intrigeri <intrigeri@boum.org>
>   | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
>   | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
>   | We're dreaming of something else.
>   | Something more clandestine, something happier.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 09:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 09:09:12 GMT) Full text and rfc822 format available.

Message #49 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 10:58:27 +0200
Hi Fabrizio,

everything, in your answer, makes me think you missed the email I sent
on 27 July 2011. Can you please read it?

> If I don't remember bad, in the meantime you become a DM: in this
> case I think you can review and eventually upload the package from
> yourself.

I'm no DM nor DD yet. However, I already partly reviewed your package
and asked a few questions, unanswered as of today. See the
aforementioned email.

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | Did you exchange a walk on part in the war
  | for a lead role in the cage?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 10:30:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 09 Sep 2011 10:30:48 GMT) Full text and rfc822 format available.

Message #54 received at 623970@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: intrigeri <intrigeri@boum.org>, 623970@bugs.debian.org
Cc: pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 12:28:56 +0200
[Message part 1 (text/plain, inline)]
On Fri, 2011-09-09 at 10:58 +0200, intrigeri wrote:
> Hi Fabrizio,
> 
> everything, in your answer, makes me think you missed the email I sent
> on 27 July 2011. 

Not exactly.

[...]
> 
> I'm no DM nor DD yet. However, I already partly reviewed your package
> and asked a few questions, unanswered as of today. See the
> aforementioned email.

I don't replied because all task request in your mail are already done.
(apart the pristine-tar, added just now) 
This package is on git from 2011-04-28: if there were all sorts of
problems, I could solve them, don't you believe ?
All DD in our team are busy and don't have free time to review it (this
is easily demonstrated by the fact that more than 4 months have passed
since it was created)
I want to tell you which depends not only on my will if the package will
(or not) uploaded.
I always try to do better, do not always succeed, but I can't do the
impossible.
Don't get angry, nothing personal, but reading your e-mail appears that
if the package taking so long, the fault is mine :-)

Cheers,
Fabrizio.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 11:06:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 11:06:28 GMT) Full text and rfc822 format available.

Message #59 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 13:03:40 +0200
Hi,

intrigeri wrote (27 Jul 2011 21:49:21 GMT) :
> In that case, I think this part of debian/control should be fixed:

>   Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
>   Uploaders: Fabrizio Regalli <fabreg@fabreg.it>

This was not changed in Git. I may be wrong, but I still believe it's
not correct.

>   - I'm no expert at DEP-5, but it seems to me it would be slightly
>     better to factorize licenses notices as standalone License: blocks
>     at the end of the file in a case like yours, i.e. when several
>     File:  blocks reference the same licenses. I may be wrong, though.

The DEP-5 "Standalone License Paragraph" example uses one standalone
License paragraph per license, and reads "you can use a single line
License field and standalone License paragraphs"; notice the plural
paragraph*s*. I think the suggested debian/copyright would be clearer
by following these guidelines instead of the current single standalone
License paragraph.

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | We're dreaming of something else.
  | Something more clandestine, something happier.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 11:27:09 GMT) Full text and rfc822 format available.

Message #64 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 13:24:41 +0200
Hi,

Fabrizio Regalli wrote (09 Sep 2011 10:28:56 GMT) :
> I don't replied because all task request in your mail are already done.
> (apart the pristine-tar, added just now) 

Not exactly, see separate email.

> This package is on git from 2011-04-28: if there were all sorts of
> problems, I could solve them, don't you believe ?

In my experience, when I point out a problem and get no answer,
it's much more likely because, for various reasons, this problem was
not solved. This is generally how the Debian BTS works, I believe.

> All DD in our team are busy and don't have free time to review it (this
> is easily demonstrated by the fact that more than 4 months have passed
> since it was created)

This is why I asked, at the end of July, if "you already asked/found a
DD to do so".

Had you answered "yes, but they are busy and have no time to review it
until N months", I would have tried to help by asking review and
sponsoring to another DD. This was the implicit meaning of my
question. Sorry if it was unclear.

> I want to tell you which depends not only on my will if the package will
> (or not) uploaded.
> I always try to do better, do not always succeed, but I can't do the
> impossible.
> Don't get angry, nothing personal, but reading your e-mail appears that
> if the package taking so long, the fault is mine :-)

I now understand the process has been stalled mostly because of
waiting for busy people, which you cannot do much about.
You need to understand you've not made this situation very clear,
which did not allow anyone else to help, which also explains why
I'm asking updates. Not the end of the world.

Now that I know how I can help, I'll do it :)

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | Do not be trapped by the need to achieve anything.
  | This way, you achieve everything.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 13:06:03 GMT) Full text and rfc822 format available.

Message #69 received at 623970@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 9 Sep 2011 15:02:38 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 09, 2011 at 12:28:56PM +0200, Fabrizio Regalli wrote:
> > I'm no DM nor DD yet. However, I already partly reviewed your package
> > and asked a few questions, unanswered as of today. See the
> > aforementioned email.
> 
> I don't replied because all task request in your mail are already done.
> (apart the pristine-tar, added just now) 
> This package is on git from 2011-04-28: if there were all sorts of
> problems, I could solve them, don't you believe ?

Here is my review:

 * Files in pristine-tar are wrongly named

   Trying to build the package with `git-buildpackage
   --git-pristine-tar` fails with:

      pristine-tar: git show refs/heads/pristine-tar:cookie-monster_1.0.5.orig.tar.gz.delta failed

   Indeed. The files are currently named
   `cookie-monster_1.0.5.tar.gz.{delta,id}`.

 * dpkg-source: error: unrepresentable changes to source

   As upstream does not ship .tar.gz (or .tar.bz2 for that matter) that
   Debian could directly use, we need to create a .orig.tar.gz from
   upstream source.

   So we are free to fiddle with upstream source in order to get the
   files as close as we would like upstream to ship them. I then
   strongly advocate to have a .orig.tar.gz where cookiemonster.jar
   is unpacked.

   That will also remove the useless patch in debian/patches and ease
   future reviews of upstream changes

 * Package description could be improved

   The package description does not mention that cookie-monster is
   an extension for Firefox/Iceweasel. Please note that
   volunteers subscribed to debian-l10-english@l.d.o can help to
   write better (english) package descriptions.

 * Package is missing a README.source

   Even if it's not mandatory, the package is really missing a
   README.source. It is supposed to be under the pkg-mozext umbrella,
   so other member of that team should be able to upload the package
   if the need arises.

   Things that ought to be documented are at least: git-buildpackage
   usage, pristine-tar usage, the upstream-changelog file (why, what and
   how to update it).

 * Vcs-* should be updated

   Vcs-* field in debian/control should be updated to the new URIs.

 * Inaccurate copyright file

   The copyright file that gets installed in
   /usr/share/doc/xul-ext-cookie-monster/copyright is inaccurate,
   as the MPL license is not copied to the same directory.

The .jar and copyright issues really are blockers to me.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
jeremy.bobbio@irq7.fr               : :   :             lunar@debian.org
                                    `. `'` 
                                      `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 09 Sep 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #74 received at 623970@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Jérémy Bobbio <lunar@debian.org>, 623970@bugs.debian.org
Cc: pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: [Pkg-mozext-maintainers] Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 17:19:15 +0200
[Message part 1 (text/plain, inline)]
Hi Jérémy,

thanks for your review.

On Fri, 2011-09-09 at 15:02 +0200, Jérémy Bobbio wrote:

> Here is my review:
> 
>  * Files in pristine-tar are wrongly named
> 
>    Trying to build the package with `git-buildpackage
>    --git-pristine-tar` fails with:
> 
>       pristine-tar: git show refs/heads/pristine-tar:cookie-monster_1.0.5.orig.tar.gz.delta failed
> 
>    Indeed. The files are currently named
>    `cookie-monster_1.0.5.tar.gz.{delta,id}`.
> 
>  * dpkg-source: error: unrepresentable changes to source
> 
>    As upstream does not ship .tar.gz (or .tar.bz2 for that matter) that
>    Debian could directly use, we need to create a .orig.tar.gz from
>    upstream source.
> 
>    So we are free to fiddle with upstream source in order to get the
>    files as close as we would like upstream to ship them. I then
>    strongly advocate to have a .orig.tar.gz where cookiemonster.jar
>    is unpacked.
> 
>    That will also remove the useless patch in debian/patches and ease
>    future reviews of upstream changes

Right. I started now from scratch and these problems are solved.

>  * Package description could be improved
> 
>    The package description does not mention that cookie-monster is
>    an extension for Firefox/Iceweasel. Please note that
>    volunteers subscribed to debian-l10-english@l.d.o can help to
>    write better (english) package descriptions.

Added '..an extension for Firefox/Iceweasel' in long description.

>  * Package is missing a README.source
> 
>    Even if it's not mandatory, the package is really missing a
>    README.source. It is supposed to be under the pkg-mozext umbrella,
>    so other member of that team should be able to upload the package
>    if the need arises.
> 
>    Things that ought to be documented are at least: git-buildpackage
>    usage, pristine-tar usage, the upstream-changelog file (why, what and
>    how to update it).

Usually I never used, but if necessary I can create it.

> 
>  * Vcs-* should be updated
> 
>    Vcs-* field in debian/control should be updated to the new URIs.

Now the Vcs-* fields looks fine.

> 
>  * Inaccurate copyright file
> 
>    The copyright file that gets installed in
>    /usr/share/doc/xul-ext-cookie-monster/copyright is inaccurate,
>    as the MPL license is not copied to the same directory.

I create a new copyright file, hoping this time is right.

Could you please check the package now?
Thank you.

Cheers,
Fabrizio.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 15:42:03 GMT) Full text and rfc822 format available.

Message #79 received at 623970@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: [Pkg-mozext-maintainers] Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 9 Sep 2011 17:39:37 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 09, 2011 at 05:19:15PM +0200, Fabrizio Regalli wrote:
> On Fri, 2011-09-09 at 15:02 +0200, Jérémy Bobbio wrote:
> > Here is my review:
> > 
> >  * Files in pristine-tar are wrongly named
> > 
> >    Trying to build the package with `git-buildpackage
> >    --git-pristine-tar` fails with:
> > 
> >       pristine-tar: git show refs/heads/pristine-tar:cookie-monster_1.0.5.orig.tar.gz.delta failed
> > 
> >    Indeed. The files are currently named
> >    `cookie-monster_1.0.5.tar.gz.{delta,id}`.

This one is indeed fixed.

> >  * dpkg-source: error: unrepresentable changes to source
> > 
> >    As upstream does not ship .tar.gz (or .tar.bz2 for that matter) that
> >    Debian could directly use, we need to create a .orig.tar.gz from
> >    upstream source.
> > 
> >    So we are free to fiddle with upstream source in order to get the
> >    files as close as we would like upstream to ship them. I then
> >    strongly advocate to have a .orig.tar.gz where cookiemonster.jar
> >    is unpacked.
> > 
> >    That will also remove the useless patch in debian/patches and ease
> >    future reviews of upstream changes
> 
> Right. I started now from scratch and these problems are solved.

This one is not, IMHO.

It is *way* better to have an _unpacked_ source tree as upstream.
Otherwise, reviewing upstream changes is going to be a pain. Writing
patches against upstream source is going to be even more than that.

> >  * Package is missing a README.source
> > 
> >    Even if it's not mandatory, the package is really missing a
> >    README.source. It is supposed to be under the pkg-mozext umbrella,
> >    so other member of that team should be able to upload the package
> >    if the need arises.
> > 
> >    Things that ought to be documented are at least: git-buildpackage
> >    usage, pristine-tar usage, the upstream-changelog file (why, what and
> >    how to update it).
> 
> Usually I never used, but if necessary I can create it.

Am I supposed to guess everything about this uncommon
`debian/upstream-changelog` file alone?

> >  * Inaccurate copyright file
> > 
> >    The copyright file that gets installed in
> >    /usr/share/doc/xul-ext-cookie-monster/copyright is inaccurate,
> >    as the MPL license is not copied to the same directory.
> 
> I create a new copyright file, hoping this time is right.

Is the MPL file going to be copied automatically in
/usr/share/doc/xul-ext-cookie-monster?

> Could you please check the package now?

Done. But I feel you have wasted my time… Debian is also about quality.
Quality requires not to rush things out…

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 09 Sep 2011 17:30:03 GMT) Full text and rfc822 format available.

Message #84 received at 623970@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Jérémy Bobbio <lunar@debian.org>, 623970@bugs.debian.org
Cc: pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: [Pkg-mozext-maintainers] Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 19:26:47 +0200
[Message part 1 (text/plain, inline)]
On Fri, 2011-09-09 at 17:39 +0200, Jérémy Bobbio wrote:
> On Fri, Sep 09, 2011 at 05:19:15PM +0200, Fabrizio Regalli wrote:
> > On Fri, 2011-09-09 at 15:02 +0200, Jérémy Bobbio wrote:
> > > Here is my review:
> > > 
> > >  * Files in pristine-tar are wrongly named
> > > 
> > >    Trying to build the package with `git-buildpackage
> > >    --git-pristine-tar` fails with:
> > > 
> > >       pristine-tar: git show refs/heads/pristine-tar:cookie-monster_1.0.5.orig.tar.gz.delta failed
> > > 
> > >    Indeed. The files are currently named
> > >    `cookie-monster_1.0.5.tar.gz.{delta,id}`.
> 
> This one is indeed fixed.

Right.

> 
> > >  * dpkg-source: error: unrepresentable changes to source
> > > 
> > >    As upstream does not ship .tar.gz (or .tar.bz2 for that matter) that
> > >    Debian could directly use, we need to create a .orig.tar.gz from
> > >    upstream source.
> > > 
> > >    So we are free to fiddle with upstream source in order to get the
> > >    files as close as we would like upstream to ship them. I then
> > >    strongly advocate to have a .orig.tar.gz where cookiemonster.jar
> > >    is unpacked.
> > > 
> > >    That will also remove the useless patch in debian/patches and ease
> > >    future reviews of upstream changes
> > 
> > Right. I started now from scratch and these problems are solved.
> 
> This one is not, IMHO.
> 
> It is *way* better to have an _unpacked_ source tree as upstream.
> Otherwise, reviewing upstream changes is going to be a pain. Writing
> patches against upstream source is going to be even more than that.

A 'repack.sh' script that grabs and unpack the .jar file and re-create
the tarball could be a reasonable solution?
Or download the xpi, unpack the jar and create .orig.tar.gz from it
(including install.rdf file) is enough?



> 
> > >  * Package is missing a README.source
> > > 
> > >    Even if it's not mandatory, the package is really missing a
> > >    README.source. It is supposed to be under the pkg-mozext umbrella,
> > >    so other member of that team should be able to upload the package
> > >    if the need arises.
> > > 
> > >    Things that ought to be documented are at least: git-buildpackage
> > >    usage, pristine-tar usage, the upstream-changelog file (why, what and
> > >    how to update it).
> > 
> > Usually I never used, but if necessary I can create it.
> 
> Am I supposed to guess everything about this uncommon
> `debian/upstream-changelog` file alone?

Don't know, but if you take a look at 'tabmixplus' package for example
you can check by yourself that the README.source does not exist (and
upstream changelog exists)


> > >  * Inaccurate copyright file
> > > 
> > >    The copyright file that gets installed in
> > >    /usr/share/doc/xul-ext-cookie-monster/copyright is inaccurate,
> > >    as the MPL license is not copied to the same directory.
> > 
> > I create a new copyright file, hoping this time is right.
> 
> Is the MPL file going to be copied automatically in
> /usr/share/doc/xul-ext-cookie-monster?

Sorry, my fault. (I forget to commit 'docs' file to git)

Cheers,
Fabrizio.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #89 received at 623970@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian@boum.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org, Jérémy Bobbio <lunar@debian.org>, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: [Pkg-mozext-maintainers] Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 09 Sep 2011 21:42:29 +0200
Hi,

Fabrizio Regalli wrote (09 Sep 2011 15:19:15 GMT) :
> I create a new copyright file, hoping this time is right.

There's no copyright information in debian/copyright about upstream
changes posterior to 2007, while debian/upstream-changelog
mentions a 1.0.5 version released on 2010-10-19. Seems like you need
to have upstream update the copyright information they publish.

Bye,
-- 
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | Who wants a world in which the guarantee that we shall not
  | die of starvation would entail the risk of dying of boredom ?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #94 received at 623970@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Fri, 9 Sep 2011 22:41:04 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 09, 2011 at 07:26:47PM +0200, Fabrizio Regalli wrote:
> > It is *way* better to have an _unpacked_ source tree as upstream.
> > Otherwise, reviewing upstream changes is going to be a pain. Writing
> > patches against upstream source is going to be even more than that.
> 
> A 'repack.sh' script that grabs and unpack the .jar file and re-create
> the tarball could be a reasonable solution?
> Or download the xpi, unpack the jar and create .orig.tar.gz from it
> (including install.rdf file) is enough?

Whatever feels right to you. The second solution would only be
acceptable if that process was documented in debian/README.source, IMHO.

What would be desirable with a `repack` script is to make it compatible
with uscan. Otherwise the watch file would need to be amended not to use
xpi-repack anymore.

> > > >  * Package is missing a README.source
> > > > 
> > > >    Even if it's not mandatory, the package is really missing a
> > > >    README.source. It is supposed to be under the pkg-mozext umbrella,
> > > >    so other member of that team should be able to upload the package
> > > >    if the need arises.
> > > > 
> > > >    Things that ought to be documented are at least: git-buildpackage
> > > >    usage, pristine-tar usage, the upstream-changelog file (why, what and
> > > >    how to update it).
> > > 
> > > Usually I never used, but if necessary I can create it.
> > 
> > Am I supposed to guess everything about this uncommon
> > `debian/upstream-changelog` file alone?
> 
> Don't know, but if you take a look at 'tabmixplus' package for example
> you can check by yourself that the README.source does not exist (and
> upstream changelog exists)

And? It's not because something a sibbling package is of average quality
that you should not strive for the best.

> > > >  * Inaccurate copyright file
> > > > 
> > > >    The copyright file that gets installed in
> > > >    /usr/share/doc/xul-ext-cookie-monster/copyright is inaccurate,
> > > >    as the MPL license is not copied to the same directory.
> > > 
> > > I create a new copyright file, hoping this time is right.
> > 
> > Is the MPL file going to be copied automatically in
> > /usr/share/doc/xul-ext-cookie-monster?
> 
> Sorry, my fault. (I forget to commit 'docs' file to git)

You should always double-check the result of a build. Source, diff, and
the content of the binary packages.

Here is what I do, at least:

 $ eval $(lesspipe)
 $ dcmd less ../build-area/$NEW_VERSION.changes
 $ debdiff ../build-area/$OLD_VERSION.dsc ../build-area/$NEW_VERSION.dsc
 $ debdiff ../build-area/$OLD_VERSION.changes ../build-area/$NEW_VERSION.changes

Cheers,
-- 
Jérémy Bobbio                        .''`. 
jeremy.bobbio@irq7.fr               : :   :             lunar@debian.org
                                    `. `'` 
                                      `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Fri, 09 Sep 2011 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Fri, 09 Sep 2011 22:18:03 GMT) Full text and rfc822 format available.

Message #99 received at 623970@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: Jérémy Bobbio <lunar@debian.org>, 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#623970: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Sat, 10 Sep 2011 00:13:59 +0200
[Message part 1 (text/plain, inline)]
Am Freitag, den 09.09.2011, 19:26 +0200 schrieb Fabrizio Regalli:
> On Fri, 2011-09-09 at 17:39 +0200, Jérémy Bobbio wrote:
> > On Fri, Sep 09, 2011 at 05:19:15PM +0200, Fabrizio Regalli wrote:
> > > On Fri, 2011-09-09 at 15:02 +0200, Jérémy Bobbio wrote:
> > > >  * dpkg-source: error: unrepresentable changes to source
> > > > 
> > > >    As upstream does not ship .tar.gz (or .tar.bz2 for that matter) that
> > > >    Debian could directly use, we need to create a .orig.tar.gz from
> > > >    upstream source.
> > > > 
> > > >    So we are free to fiddle with upstream source in order to get the
> > > >    files as close as we would like upstream to ship them. I then
> > > >    strongly advocate to have a .orig.tar.gz where cookiemonster.jar
> > > >    is unpacked.
> > > > 
> > > >    That will also remove the useless patch in debian/patches and ease
> > > >    future reviews of upstream changes
> > > 
> > > Right. I started now from scratch and these problems are solved.
> > 
> > This one is not, IMHO.
> > 
> > It is *way* better to have an _unpacked_ source tree as upstream.
> > Otherwise, reviewing upstream changes is going to be a pain. Writing
> > patches against upstream source is going to be even more than that.
> 
> A 'repack.sh' script that grabs and unpack the .jar file and re-create
> the tarball could be a reasonable solution?

Please use xpi-repack (or xpi-unpack) instead of writing something own.

> Or download the xpi, unpack the jar and create .orig.tar.gz from it
> (including install.rdf file) is enough?

xpi-repack was written for converting a xpi files into a source tarball
for Debian (doing the extraction of the .jar files).

PS: Sorry for not having enough time for sponsoring.

-- 
Benjamin Drung
Debian & Ubuntu Developer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623970; Package wnpp. (Sat, 10 Sep 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 10 Sep 2011 11:03:05 GMT) Full text and rfc822 format available.

Message #104 received at 623970@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Benjamin Drung <bdrung@debian.org>
Cc: 623970@bugs.debian.org, Jérémy Bobbio <lunar@debian.org>, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#623970: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Sat, 10 Sep 2011 12:59:37 +0200
[Message part 1 (text/plain, inline)]
Il giorno sab, 10/09/2011 alle 00.13 +0200, Benjamin Drung ha scritto:
> Am Freitag, den 09.09.2011, 19:26 +0200 schrieb Fabrizio Regalli:
> > On Fri, 2011-09-09 at 17:39 +0200, Jérémy Bobbio wrote:
> > > On Fri, Sep 09, 2011 at 05:19:15PM +0200, Fabrizio Regalli wrote:
> > > > On Fri, 2011-09-09 at 15:02 +0200, Jérémy Bobbio wrote:
> > > > >  * dpkg-source: error: unrepresentable changes to source
> > > > > 
> > > > >    As upstream does not ship .tar.gz (or .tar.bz2 for that matter) that
> > > > >    Debian could directly use, we need to create a .orig.tar.gz from
> > > > >    upstream source.
> > > > > 
> > > > >    So we are free to fiddle with upstream source in order to get the
> > > > >    files as close as we would like upstream to ship them. I then
> > > > >    strongly advocate to have a .orig.tar.gz where cookiemonster.jar
> > > > >    is unpacked.
> > > > > 
> > > > >    That will also remove the useless patch in debian/patches and ease
> > > > >    future reviews of upstream changes
> > > > 
> > > > Right. I started now from scratch and these problems are solved.
> > > 
> > > This one is not, IMHO.
> > > 
> > > It is *way* better to have an _unpacked_ source tree as upstream.
> > > Otherwise, reviewing upstream changes is going to be a pain. Writing
> > > patches against upstream source is going to be even more than that.
> > 
> > A 'repack.sh' script that grabs and unpack the .jar file and re-create
> > the tarball could be a reasonable solution?
> 
> Please use xpi-repack (or xpi-unpack) instead of writing something own.
> 
> > Or download the xpi, unpack the jar and create .orig.tar.gz from it
> > (including install.rdf file) is enough?
> 
> xpi-repack was written for converting a xpi files into a source tarball
> for Debian (doing the extraction of the .jar files).

Ok, I used 'uscan --repack' and it creates
cookie-monster_1.0.5.orig.tar.bz2 file with the jar unpacked.
Hope now is fine.
'git-buildpackage --git-pristine-tar' works fine.
> 
> PS: Sorry for not having enough time for sponsoring.

No worries.
I think the package is right now apart from README.source

Cheers,
Fabrizio.

P.S.: in the meantime version 1.1.0 of Cookie Monster is out. (uscan
does not grabs it yet). Maybe in this new version the patch for bumping
version is no more necessary.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Sat, 10 Sep 2011 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Sat, 10 Sep 2011 12:15:04 GMT) Full text and rfc822 format available.

Message #109 received at 623970@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 623970@bugs.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#623970: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Sat, 10 Sep 2011 14:12:45 +0200
[Message part 1 (text/plain, inline)]
On Sat, Sep 10, 2011 at 12:59:37PM +0200, Fabrizio Regalli wrote:
> I think the package is right now apart from README.source

Uploaded.

Don't forget to add the proper tag to the Git repository.

And please, write a debian/README.source. That will take you at most 10
minutes.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
jeremy.bobbio@irq7.fr               : :   :             lunar@debian.org
                                    `. `'` 
                                      `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#623970; Package wnpp. (Sat, 10 Sep 2011 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Sat, 10 Sep 2011 12:42:04 GMT) Full text and rfc822 format available.

Message #114 received at 623970@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: pkg-mozext-maintainers@lists.alioth.debian.org
Cc: 623970@bugs.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#623970: Bug#623970: ITP: xul-ext-cookie-monster -- please package Iceweasel Cookie Monster extension
Date: Sat, 10 Sep 2011 14:39:20 +0200
[Message part 1 (text/plain, inline)]
Am Samstag, den 10.09.2011, 14:12 +0200 schrieb Jérémy Bobbio:
> On Sat, Sep 10, 2011 at 12:59:37PM +0200, Fabrizio Regalli wrote:
> > I think the package is right now apart from README.source
> 
> Uploaded.
> 
> Don't forget to add the proper tag to the Git repository.
> 
> And please, write a debian/README.source. That will take you at most 10
> minutes.

I am against having a debian/README.source if this package follows the
common practices of the pkg-mozext-maintainers group.

-- 
Benjamin Drung
Debian & Ubuntu Developer
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 10 Sep 2011 20:09:33 GMT) Full text and rfc822 format available.

Reply sent to Fabrizio Regalli <fabreg@fabreg.it>:
You have taken responsibility. (Sun, 11 Sep 2011 09:51:21 GMT) Full text and rfc822 format available.

Notification sent to intrigeri+debian@boum.org:
Bug acknowledged by developer. (Sun, 11 Sep 2011 09:51:28 GMT) Full text and rfc822 format available.

Message #121 received at 623970-close@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: 623970-close@bugs.debian.org
Subject: Bug#623970: fixed in cookie-monster 1.0.5-1
Date: Sun, 11 Sep 2011 09:47:08 +0000
Source: cookie-monster
Source-Version: 1.0.5-1

We believe that the bug you reported is fixed in the latest version of
cookie-monster, which is due to be installed in the Debian FTP archive:

cookie-monster_1.0.5-1.debian.tar.gz
  to main/c/cookie-monster/cookie-monster_1.0.5-1.debian.tar.gz
cookie-monster_1.0.5-1.dsc
  to main/c/cookie-monster/cookie-monster_1.0.5-1.dsc
cookie-monster_1.0.5.orig.tar.bz2
  to main/c/cookie-monster/cookie-monster_1.0.5.orig.tar.bz2
xul-ext-cookie-monster_1.0.5-1_all.deb
  to main/c/cookie-monster/xul-ext-cookie-monster_1.0.5-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623970@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabrizio Regalli <fabreg@fabreg.it> (supplier of updated cookie-monster package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 28 Apr 2011 22:30:20 +0200
Source: cookie-monster
Binary: xul-ext-cookie-monster
Architecture: source all
Version: 1.0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Changed-By: Fabrizio Regalli <fabreg@fabreg.it>
Description: 
 xul-ext-cookie-monster - makes it very easy to manage cookies in a whitelist-based way
Closes: 623970
Changes: 
 cookie-monster (1.0.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #623970)
Checksums-Sha1: 
 9e48963bf27ef6538e59f8fae6751800bc41f59c 2020 cookie-monster_1.0.5-1.dsc
 36c28cbc69acc2d13d0ebbb66c167a1172d3f897 49195 cookie-monster_1.0.5.orig.tar.bz2
 9c79d6a81b728f40f12e7a5f53dcd219d97512b0 14923 cookie-monster_1.0.5-1.debian.tar.gz
 ab78afe1cc93ed53f6fb0ec510206863155084d6 78750 xul-ext-cookie-monster_1.0.5-1_all.deb
Checksums-Sha256: 
 a0ebf8a76212c41fd346b963eb03f00cc85199c23f1654c1ce9b9ec8ee3cab44 2020 cookie-monster_1.0.5-1.dsc
 9204caaf35ec78c4ae0e96ed74faaf5bbe4d058b55c0cf41914ef802b4cf0065 49195 cookie-monster_1.0.5.orig.tar.bz2
 e61826215fb79db171507a3ce445a3251b8a646ccce623da8133d39c0edb89bf 14923 cookie-monster_1.0.5-1.debian.tar.gz
 59a4a5d60aab560d1f7fa959e63b1508b27ceab71cfe2d13fe86be357086e4f4 78750 xul-ext-cookie-monster_1.0.5-1_all.deb
Files: 
 f78da2448bd5ca075bd2ded30e581671 2020 web optional cookie-monster_1.0.5-1.dsc
 979910072af771e606b9f1876fdfbc77 49195 web optional cookie-monster_1.0.5.orig.tar.bz2
 9dd70a579cbb7aeabfb8b735ee62fbe1 14923 web optional cookie-monster_1.0.5-1.debian.tar.gz
 9b224f476ebce8f4fff0cc57e60fd202 78750 web optional xul-ext-cookie-monster_1.0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJOa1PrAAoJEEgU3sIrMHw8AtQP/0g0+8XYIKATYtHP+xzBgTSb
9jsNj+vnKzOs7cmAX2oK9NEH0Ws0OtpnNYPBWyMxNCYuy996OkAzhRvwl35pm0ZQ
jeE0tSDsq4exZTm4ywDd77QFSRT8D1bvdxLGRR28fie0DgvxP6cUyvTehUrpylmZ
Y46psBb811yw6gDUqF4K6vpoDBxB4FOOlHUYEoUuzYyPp5ms0TB3XH8Z3ZTSeIQz
jDjJ3xvnbWkFFuR6559JfBUMxnfdFtWRlss99Xe7R/8NMhVOd5DSArHBsadb68g2
i1mdAP1hgBzmMnop4C1UsltnTjkEBnFWVTtNFRSaxsf5Srd0D26bB5tYNUbuN+nf
niiYlJ6NcS0fabXh8bmI6CADEdx6R9TkJLW0xOzJXpre30PY8vfhW4lbLpfi678n
867l0JmEOU93bcmd/cJmBB0Ww2UVBXgIE3zYkuVewe9SrD9toAMqsvdQED2RWGA5
e4/O9Bdpk5VYnxc/axu7vOMtGFSzV7Pi2KDxNDlTxpBGPVafqKntpUiLKIX1sy9c
gHWg69lRGHqHMycyjZK94s0FOvQZ/Jor2cog3/Sc9R7S82cNPVUkOi6BpodeWDWa
QhpfZxu2nw+tjq+OgzuAR5uvE2rT+FdsopKkOio7ox8GqiFVUNb0w9QUQyYYV20N
4v4ELvX68YIoZNmZ0hZB
=unCQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Oct 2011 07:37:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:03:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.